Name:           emesene
Version:        2.11.11
Release:        1%{?dist}
Summary:        Instant messaging client for Windows Live Messenger network
BuildArch:      noarch
Group:          Applications/Internet
License:        GPLv3
URL:            http://emesene.org
Source0:        emesene-emesene-v2.11.11-0-ge31d8f0.tar.gz

BuildRequires:  desktop-file-utils, gettext, python-devel python-setuptools
Requires: gnome-python2-extras
Requires: python pygtk2
Requires: dbus-python
Requires: alsa-utils notify-python
Requires: gnome-python2-gtkspell
Requires: notify-python
Requires: gstreamer-python
Requires: pywebkitgtk
Requires: python-xmpp

%description
Emesene is a MSN Messenger client writed in Python and
GTK. The main idea is to make a client similar to the official MSN
Messenger client but kepping it simple and with a nice GUI.

Emesene is a python/gtk MSN messenger clone, it uses msnlib (MSNP9)
and try to be a nice looking and simple MSN client.

You can login, send formated messages, smilies, use autoreply, change
status, change nick, send nudges and all the stuff you can do in a
normal MSN client except, file transfers,custom emoticons and display
picture.

%prep
%setup -q -n emesene-emesene-c1bfdeb
%build
python setup.py build_ext -i

%install
python setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

mkdir -p $RPM_BUILD_ROOT%{_bindir}/
cat > $RPM_BUILD_ROOT%{_bindir}/%{name} << EOF
#!/bin/sh
cd %{python_sitelib}/%{name}
exec ./%{name}
EOF


#cd emesene/po
#for dir in *;do echo "%lang($dir) %{python_sitelib}/%{name}/po/$dir/LC_MESSAGES" >> $RPM_BUILD_DIR/emesene.lang
#done


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi
# -f emesene
%files
%attr(755,root,root) %{_bindir}/%{name}
%{python_sitelib}/*
%{_datadir}/icons/hicolor/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_mandir}/man1/%{name}.1.gz

%changelog
* Tue Dec 20 2011 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 2.11.11-1
- new version

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 27 2010 David Malcolm <dmalcolm@redhat.com> - 1.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Jul 13 2010 Filipe Rosset <rosset.filipe@gmail.com> - 1.6.3-1
- Updated to 1.6.3 upstream
- Updated SPEC to fix minor issues

* Tue Jun 08 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 1.6.2-1
- Update to 1.6.2.  Resolves rhbz#601402  CVE-2010-2053
- Update spec to match current guidelines

* Fri Jan 15 2010 Allisson Azevedo <allisson@gmail.com> - 1.6-1
- Update to 1.6.

* Fri Oct 16 2009 Allisson Azevedo <allisson@gmail.com> - 1.5.1-1
- Update to 1.5.1.

* Tue Sep  8 2009 Allisson Azevedo <allisson@gmail.com> - 1.5-4
- Fix libmimic.so location for x86_64 and ppc64.

* Tue Aug 25 2009 Allisson Azevedo <allisson@gmail.com> - 1.5-3
- Added libmimic to pythonpath.
- Package own /usr/share/emesene now.

* Tue Aug 25 2009 Allisson Azevedo <allisson@gmail.com> - 1.5-2
- Added python-devel to BR.

* Tue Aug 25 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 1.5-1
- Rewrite spec file
- Many new features including experimental support for webcams
- http://emesene-msn.blogspot.com/2009/08/emesene-15-awesome-has-been-released.html

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.0.1-4
- Rebuild for Python 2.6

* Wed Aug 06 2008 Caius Chance <cchance@redhat.com> - 1.0.1-3.fc10
- Resolves: rhbz#456671
  - (MSN servers rejected "application id" which reverted nickname change.)
  - Refined patch of 1.0.1-2.fc10.

* Mon Jul 28 2008 Le Coz Florent <louizatakk@gmail.com> - 1.0.1-2.fc10
- rename to emesene.spec and add docs

* Wed Jul 23 2008 Le Coz Florent <louizatakk@gmail.com> - 1.0.1-1.fc10
- update source to ver 1.0.1. (bugfixes only)

* Wed Mar 26 2008 Caius Chance <cchance@redhat.com> - 1.0-1.fc9
- Update source to ver 1.0.

* Thu Jan 31 2008 Caius Chance <cchance@redhat.com> - 0.99-3.fc9
- Fixed locale 'sv' files appearing twice.

* Tue Jan 29 2008 Caius Chance <cchance@redhat.com> - 0.99-2.fc9
- Refined .spec file regarding 'file' section in spec. (rhbz#238379)

* Mon Jan 14 2008 Caius Chance <cchance@redhat.com> - 0.99-1.fc9
- Sync to upstream perferred version number, refined .spec file. (rhbz#238379)

* Mon Jan 07 2008 Caius Chance <cchance@redhat.com> - 1.0-2.fc9
- Updated .spec file by package reviewer's feedback. (rhbz#238379)

* Fri Dec 21 2007 Caius Chance <cchance@redhat.com> - 1.0-1.fc9
- Updated .spec file by package reviewer's feedback. (rhbz#238379)

* Sat Dec 15 2007 Caius Chance <cchance@redhat.com> - 0.1-2.fc9
- Corrected executable file path parameters.

* Fri Dec 14 2007 Caius Chance <cchance@redhat.com> - 0.1-1.fc9
- Adopted from community as new package.

